# Danh sách tài khoản quảng cáo

* Lấy danh sách tài khoản quảng cáo Facebook đã kết nối vào Vpage.
* Tài khoản quảng cáo dùng để lấy cái báo cáo liên quan Marketing Insight API, tạo tệp đối tượng tùy chỉnh (custom audience), hoặc để gửi tin nhắn quảng cáo (Facebook Marketing Message).
* Chú ý: Bạn cần kết nối tài khoản quảng cáo trên Vpage thì mới có thể lấy được dữ liệu này.

## Request

```curl
curl --location 'https://vpage.open.nhanh.vn/v3.0/marketing/adaccountlist?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--data '{
    "filters": { },
    "paginator": {
        "size": 50
    }
}'
```

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
    "code": 1,
    "paginator": {
        "next": [
            1742545330,
            6478
        ]
    },
    "data": [
        {
            "id": "act_123456788",
            "fbBusinessId": 123456,
            "name": "Ad account 1"
        },
        {
            "id": "act_123456789",
            "fbBusinessId": 123456,
            "name": "Ad account 2"
        },
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/vpage/marketing/ad_account_list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
